POV-Ray : Newsgroups : povray.programming : qtpovray and debian : Re: qtpovray and debian Server Time
2 Dec 2022 12:16:22 EST (-0500)
  Re: qtpovray and debian  
From: jr
Date: 27 Jun 2018 13:05:01
Message: <web.5b33c24f1b94875a635cc5ad0@news.povray.org>
hi,

dick balaska <dic### [at] buckosoftcom> wrote:
> > out of interest, without gui, what are the differences to "stock" povray?
> I should be equivalent to povray-3.8.0-alpha-something. ...

ok.

> > btw, installed Qt5 but hit another snag with the qtpovray build.  ...
> Try
> $ qmake -qt=qt5 -r
> or
> $ export QT_SELECT=qt5
> $ qmake -r
> Ref:
>
https://unix.stackexchange.com/questions/116254/how-do-i-change-which-version-of-qt-is-used-for-qmake

that link helped, the '--version' providing the clue.  /usr/bin/qmake is a
symbolic link.  :-) installation of Qt5 left the existing link alone, easily
remedied.  and leading to another problem.  sorry.

Script started on Wed 27 Jun 2018 11:33:46 BST
jr@crow:13:qtpovray$ make
cd qt/libpovray/ && ( test -e Makefile || /usr/bin/qmake
/tmp/B/qtpovray/qt/libpovray/libpovray.pro -o Makefile ) && make -f Makefile
make[1]: Entering directory `/tmp/B/qtpovray/qt/libpovray'

runs ok until:

g++ -c -pipe -O2 -march=native -mtune=native -fPIC -std=gnu++11 -Wall -W
-D_REENTRANT -fPIC -DQT_DEPRECATED_WARNINGS -DQT_NO_DEBUG -DQT_WIDGETS_LIB
-DQT_GUI_LIB -DQT_CORE_LIB -I. -I../../vfe -I../vfe -I../libpovray -I../platform
-isystem /usr/include/qt5 -isystem /usr/include/qt5/QtWidgets -isystem
/usr/include/qt5/QtGui -isystem /usr/include/qt5/QtCore -I. -I.
-I/usr/lib64/qt5/mkspecs/linux-g++ -o codeeditor.o editor/codeeditor.cpp




  this->setTabStopDistance(fm.width(spaces));
        ^
make[1]: *** [codeeditor.o] Error 1
make[1]: Leaving directory `/tmp/B/qtpovray/qt/gui'
make: *** [sub-qt-gui-make_first-ordered] Error 2
jr@crow:14:qtpovray$

the library version is 5.7.1.


> BTW, I am running two VMs for testing right now, Ubuntu 16 and Ubuntu
> 18.  I've thought about spinning up a Slackware 14.1 because of you. :)

:-)  maybe that's a subconscious .. yearning for the old days.  ;-)

if you do make it 14.2 though, which most use.  apparently, 15.0 is a
possibility for later this year.


regards, jr.


Post a reply to this message

Copyright 2003-2021 Persistence of Vision Raytracer Pty. Ltd.